#include <bits/stdc++.h>

using namespace std;
int p[1000000];
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int n,m=0,k;
    for(int i=0;i<n;i++){
        cin>>p[i];
        if(p[i]>=m){
            m=p[i];
            k=i;
        }
    }
    for(int i=0;i<n;i++){
        if(m>=p[i] && k!=i){
            int s=p[i];
            p[i]=m;
            p[k]=s;
            break;
        }
    }
    for(int i=0;i<n;i++)
        cout<<p[i];
    return 0;
}